<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://furgonetka.pl
 * @since      1.0.0
 *
 * @package    Furgonetka
 * @subpackage Furgonetka/admin/partials
 */

/**
 * /wp-content/plugins/furgonetka/admin/class-furgonetka-admin.php:168
 * available variables
 */
if ( ! defined( 'WPINC' ) ) {
    die;
}

$new_tab               = isset( $_GET['tab'], $_GET['nonce'] ) && wp_verify_nonce( sanitize_key( $_GET['nonce'] ) ) ?
    sanitize_text_field( wp_unslash( $_GET['tab'] ) ) : 'furgonetka';
$furgonetka_admin_area = new Furgonetka_Admin_Area_Controller(
    $new_tab,
    isset( $furgonetka_form_url ) ? $furgonetka_form_url : '',
    $furgonetka_errors,
    $furgonetka_messages
);

?>
<div class="wrap">

    <?php
    if ( isset( $new_tab ) ) {
        $furgonetka_admin_area->render();
    }
    ?>

</div>
