<?php

/**
 * The file that defines admin navigation tabs
 *
 * @link  https://furgonetka.pl
 * @since 1.0.0
 *
 * @package    Furgonetka
 * @subpackage Furgonetka/includes/admin_tabs
 */

/**
 * Class Furgonetka_Admin_Tabs - abstract class for admin options page rendering
 *
 * @since      1.0.0
 * @package    Furgonetka
 * @subpackage Furgonetka/includes/admin_tabs
 * @author     Furgonetka.pl <woocommerce@furgonetka.pl>
 */
abstract class Furgonetka_Admin_Tabs
{
    /**
     * Tab name
     *
     * @var string
     */
    public $tab = '';

    /**
     * Container for view class
     *
     * @var mixed
     */
    public $view;

    /**
     * Url for forms
     *
     * @var string
     */
    public $furgonetka_form_url = '';

    /**
     * Constructor - assign variables, include view
     *
     * @param string $tab                 -tab name.
     * @param string $furgonetka_form_url - url.
     */
    public function __construct( $tab, $furgonetka_form_url )
    {
        $this->tab                 = $tab;
        $this->furgonetka_form_url = $furgonetka_form_url;
        $this->include_view();
    }

    /**
     * Used for rendering html template
     *
     * @return void
     */
    abstract public function render_template();

    /**
     * Including path and class for view
     *
     * @return void
     */
    abstract public function include_view();
}
