<?php

/**
 * The file that defines admin api tab
 *
 * @link  https://furgonetka.pl
 * @since 1.0.0
 *
 * @package    Furgonetka
 * @subpackage Furgonetka/includes/admin_tabs
 */

/**
 * Class Furgonetka_Advanced_Settings_Tab - manage admin settings tab
 *
 * @since      1.0.0
 * @package    Furgonetka
 * @subpackage Furgonetka/includes/admin_tabs
 * @author     Furgonetka.pl <woocommerce@furgonetka.pl>
 */
class Furgonetka_Advanced_Settings_Tab extends Furgonetka_Admin_Tabs
{
    /**
     * Admin api settings view
     *
     * @var \Furgonetka_Admin_Advanced_Settings_View()
     */
    public $view;

    /**
     * Including path and class for view
     *
     * @return void
     */
    public function include_view()
    {
        require_once plugin_dir_path( dirname( __FILE__ ) ) . '/view/class-furgonetka-admin-advanced-settings-view.php';
        $this->view = new Furgonetka_Admin_Advanced_Settings_View();
    }

    /**
     * Used for rendering html template
     *
     * @return void
     */
    public function render_template()
    {
        $this->view->render_admin_heading();

        if ( Furgonetka_Admin::is_account_active() ) {
            $this->view->render_admin_settings_fields( $this->furgonetka_form_url, $this->tab );
        }
    }
}
