<?php

/**
 * The file that defines admin attach map tab
 *
 * @link  https://furgonetka.pl
 * @since 1.0.0
 *
 * @package    Furgonetka
 * @subpackage Furgonetka/includes/admin_tabs
 */

/**
 * Class Furgonetka_Api_Settings_Tab - manage admin attach map tab
 *
 * @since      1.0.0
 * @package    Furgonetka
 * @subpackage Furgonetka/includes/admin_tabs
 * @author     Furgonetka.pl <woocommerce@furgonetka.pl>
 */
class Furgonetka_Attach_Map_Tab extends Furgonetka_Admin_Tabs
{
    /**
     * Admin map details view
     *
     * @var \Furgonetka_Admin_Map_Details()
     */
    public $view;

    /**
     * Including path and class for view
     *
     * @return void
     */
    public function include_view()
    {
        require_once plugin_dir_path( dirname( __FILE__ ) ) . 'view/class-furgonetka-admin-map-details.php';
        $this->view = new Furgonetka_Admin_Map_Details();
    }

    /**
     * Used for rendering html template
     *
     * @return void
     */
    public function render_template()
    {
        if ( Furgonetka_Admin::is_account_active() ) {
            $this->view->render_heading();
            $this->view->render_sender_info_form( $this->furgonetka_form_url, $this->tab );
        }
    }
}
