<?php
/**
 * Class Furgonetka_Update_Order - Managing connection to database and set metadata
 */
class Furgonetka_Update_Order
{
    private $order_id;
    private $data;

    /**
     * @param $order_id
     *
     * @return $this
     */
    public function set_orderId( $order_id )
    {
        $this->order_id = $order_id;
        return $this;
    }

    /**
     * @param array $data
     *
     * @return $this
     */
    public function set_data( array $data )
    {
        $this->data = $data;
        return $this;
    }

    /**
     * @return $this
     */
    public function save_data_to_order_metadata()
    {
        foreach ( $this->data as $single_metadata ) {
            $result = update_post_meta( $this->order_id, $single_metadata['key'], $single_metadata['value'] );
        }
        return $this;
    }

    /**
     * @return array
     */
    public function get_tracking_info()
    {
        $post_meta = get_post_meta( $this->order_id );
        $result    = get_post_meta( $this->order_id, 'tracking_info', true );
        return $result;
    }
}
