<?php

/**
 * The file that defines view for api setting in cms
 *
 * @link  https://furgonetka.pl
 * @since 1.0.0
 *
 * @package    Furgonetka
 * @subpackage Furgonetka/includes/rest_api/endpoint_controller/view
 */

/**
 * Class Portmonetka_Admin_Api_Settings_View - views for Admin options page - Api settings
 *
 * @since      1.0.0
 * @package    Furgonetka
 * @subpackage Furgonetka/includes/rest_api/endpoint_controller/view
 * @author     Furgonetka.pl <woocommerce@furgonetka.pl>
 */
class Furgonetka_Admin_Settings_View
{

    /**
     * Render admin heading
     *
     * @return void
     */
    public function render_admin_heading()
    {
        ?>
        <h1 class="screen-reader-text">
            <?php esc_attr_e( 'Main settings', 'furgonetka' ); ?>
        </h1>
        <h2>
            <?php esc_attr_e( 'Portmonetka', 'furgonetka' ); ?>
        </h2>
        <p>
            <?php esc_attr_e( 'Settings are configurable through external panel', 'furgonetka' ); ?>
        </p>
        <?php
    }

    /**
     * Render admin account summary
     *
     * @return void
     */
    public function render_admin_button_placement()
    {
        ?>
        <div>
            <label>
                <?php echo __( 'UUID integracji', 'furgonetka' ); ?>
                <input type="text" disabled value="<?php echo Furgonetka_Admin::get_checkout_uuid(); ?>">
            </label>
            <br>
            <br>
            <label>
                <input
                        type="checkbox"
                        disabled
                        <?php echo Furgonetka_Admin::is_checkout_active() ? 'checked' : ''; ?>
                >
                <?php echo __( 'Integracja aktywna', 'furgonetka' ); ?>
            </label>
            <br>
            <br>
            <label>
                <input
                        type="checkbox"
                        disabled
                        <?php echo ! empty( Furgonetka_Admin::is_checkout_test_mode() ) ? 'checked' : ''; ?>
                >
                <?php echo __( 'Tryb testowy', 'furgonetka' ); ?>
            </label>
        </div>
        <?php
    }
}